﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34209
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace BAW.TransferDailyTransaction.ServiceReference1 {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReference1.Service1Soap")]
    public interface Service1Soap {
        
        // CODEGEN: Generating message contract since element name athCode from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/getAthCodeInfo", ReplyAction="*")]
        BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoResponse getAthCodeInfo(BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class getAthCodeInfoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="getAthCodeInfo", Namespace="http://tempuri.org/", Order=0)]
        public BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequestBody Body;
        
        public getAthCodeInfoRequest() {
        }
        
        public getAthCodeInfoRequest(BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class getAthCodeInfoRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string athCode;
        
        public getAthCodeInfoRequestBody() {
        }
        
        public getAthCodeInfoRequestBody(string athCode) {
            this.athCode = athCode;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class getAthCodeInfoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="getAthCodeInfoResponse", Namespace="http://tempuri.org/", Order=0)]
        public BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoResponseBody Body;
        
        public getAthCodeInfoResponse() {
        }
        
        public getAthCodeInfoResponse(BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class getAthCodeInfoResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string getAthCodeInfoResult;
        
        public getAthCodeInfoResponseBody() {
        }
        
        public getAthCodeInfoResponseBody(string getAthCodeInfoResult) {
            this.getAthCodeInfoResult = getAthCodeInfoResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface Service1SoapChannel : BAW.TransferDailyTransaction.ServiceReference1.Service1Soap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class Service1SoapClient : System.ServiceModel.ClientBase<BAW.TransferDailyTransaction.ServiceReference1.Service1Soap>, BAW.TransferDailyTransaction.ServiceReference1.Service1Soap {
        
        public Service1SoapClient() {
        }
        
        public Service1SoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public Service1SoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1SoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1SoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoResponse BAW.TransferDailyTransaction.ServiceReference1.Service1Soap.getAthCodeInfo(BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequest request) {
            return base.Channel.getAthCodeInfo(request);
        }
        
        public string getAthCodeInfo(string athCode) {
            BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequest inValue = new BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequest();
            inValue.Body = new BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoRequestBody();
            inValue.Body.athCode = athCode;
            BAW.TransferDailyTransaction.ServiceReference1.getAthCodeInfoResponse retVal = ((BAW.TransferDailyTransaction.ServiceReference1.Service1Soap)(this)).getAthCodeInfo(inValue);
            return retVal.Body.getAthCodeInfoResult;
        }
    }
}
